<template>
  <div class="call-to-action">
    <div class="container">
      <div class="call">
        Venha fazer parte dessa história
      </div>
      <div class="social-links">
        <a
          target="_blank"
          href="https://www.instagram.com/institutoholistico/"
          class="social-link"
        >
          <v-button
            shape="secondary"
            size="md"
          >
            Fazer uma doação
          </v-button>
        </a>
      </div>
    </div>
  </div>
</template>

<script>
import VButton from './VButton.vue';

export default {
  name: 'TheCallAction',
  components: {
    VButton,
  },
};
</script>

<style lang="stylus" scoped>
.call-to-action
  width 100%
  height 8.8rem
  display flex
  justify-content center
  align-items center
  background linear-gradient(87.73deg, var(--color-primary) 0.15%, var(--color-secondary) 34.93%, var(--color-primary) 95.81%)

.call
  font-size 2.4rem
  color white

.container
  max-width var(--width-page)
  width 100%
  display flex
  justify-content space-between
  align-items center
  padding 0 2rem

@media screen and (max-width: 600px)
  .call
    display none

  .container
    justify-content center
    padding 0
</style>
